Bug 174643 - Update textproc/libxslt to version 1.1.28
Update textproc/libxslt to version 1.1.28
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-22 19:40 UTC by giffunip
Modified: 2012-12-28 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (7.08 KB, patch)
2012-12-22 19:40 UTC, giffunip
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2012-12-22 19:40:00 UTC
Update libxslt from 1.1.26 to 1.1.28
ChangeLog here:
     http://xmlsoft.org/XSLT/news.html
- Includes our local patches.
- Add LICENSE information.
- Pet portlint.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-22 19:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-12-28 21:10:19 UTC
Author: mezz
Date: Fri Dec 28 21:10:04 2012
New Revision: 309586
URL: http://svnweb.freebsd.org/changeset/ports/309586

Log:
  - Update to 1.1.28. [1]
  - Add LICENSE. [1]
  - Convert to OPTIONSng. [2]
  - Update the header. [2]
  
  PR:		ports/174643 [1]
  Submitted by:	Pedro Giffuni <giffunip@tutopia.com> [1]
  		kwm@ [2]

Deleted:
  head/textproc/libxslt/files/patch-libexslt_date.c
  head/textproc/libxslt/files/patch-libxslt::extra.c
Modified:
  head/textproc/libxslt/Makefile   (contents, props changed)
  head/textproc/libxslt/distinfo   (contents, props changed)
  head/textproc/libxslt/files/patch-aa   (contents, props changed)
  head/textproc/libxslt/files/patch-python::Makefile.in   (contents, props changed)
  head/textproc/libxslt/pkg-plist   (contents, props changed)

Modified: head/textproc/libxslt/Makefile
==============================================================================
--- head/textproc/libxslt/Makefile	Fri Dec 28 20:21:38 2012	(r309585)
+++ head/textproc/libxslt/Makefile	Fri Dec 28 21:10:04 2012	(r309586)
@@ -1,16 +1,11 @@
-# New ports collection makefile for:	libxslt
-# Date created:				9th February 2001
-# Whom:					Ade Lovett <ade@FreeBSD.org>
-#
+# Created by: Ade Lovett <ade@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libxslt
-PORTVERSION=	1.1.26
-PORTREVISION?=	3
+PORTVERSION=	1.1.28
+PORTREVISION?=	0
 CATEGORIES?=	textproc gnome
-MASTER_SITES=	ftp://fr.rpmfind.net/pub/libxml/ \
-		ftp://gd.tuwien.ac.at/pub/libxml/ \
+MASTER_SITES=	ftp://gd.tuwien.ac.at/pub/libxml/ \
 		ftp://xmlsoft.org/libxml2/
 DIST_SUBDIR=	gnome2
 
@@ -28,24 +23,28 @@ CONFIGURE_ARGS?=--with-html-dir=${PREFIX
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
+LICENSE=	MIT
+
 .if defined(MASTERDIR)
 _SLAVE_PORT=	yes
 .else
 MAN3=		libexslt.3 libxslt.3
 MAN1=		xsltproc.1
 
-OPTIONS=	MEM_DEBUG "Enable memory debugging" off \
-		CRYPTO "Enable crypto support for exslt" on
+OPTIONS_DEFINE=	MEM_DEBUG CRYPTO
+OPTIONS_DEFAULT=CRYPTO
+MEM_DEBUG_DESC=	Enable memory debugging
+CRYPTO_DESC=	Enable crypto support for exslt
 .endif
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_MEM_DEBUG)
+.if ${PORT_OPTIONS:MMEM_DEBUG}
 CONFIGURE_ARGS+=	--with-mem-debug
 .endif
 
-.if defined(WITH_CRYPTO)
-LIB_DEPENDS+=	gcrypt.18:${PORTSDIR}/security/libgcrypt
+.if ${PORT_OPTIONS:MCRYPTO}
+LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
 .else
 CONFIGURE_ARGS+=--without-crypto
 .endif
@@ -57,6 +56,6 @@ post-patch:
 		s|[$$](bindir)/xmllint|../xmllint/xmllint|g' \
 		${WRKSRC}/doc/Makefile.in
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
 
 .endif

Modified: head/textproc/libxslt/distinfo
==============================================================================
--- head/textproc/libxslt/distinfo	Fri Dec 28 20:21:38 2012	(r309585)
+++ head/textproc/libxslt/distinfo	Fri Dec 28 21:10:04 2012	(r309586)
@@ -1,2 +1,2 @@
-SHA256 (gnome2/libxslt-1.1.26.tar.gz) = 55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1
-SIZE (gnome2/libxslt-1.1.26.tar.gz) = 3401513
+SHA256 (gnome2/libxslt-1.1.28.tar.gz) = 5fc7151a57b89c03d7b825df5a0fae0a8d5f05674c0e7cf2937ecec4d54a028c
+SIZE (gnome2/libxslt-1.1.28.tar.gz) = 3435907

Modified: head/textproc/libxslt/files/patch-aa
==============================================================================
--- head/textproc/libxslt/files/patch-aa	Fri Dec 28 20:21:38 2012	(r309585)
+++ head/textproc/libxslt/files/patch-aa	Fri Dec 28 21:10:04 2012	(r309586)
@@ -1,17 +1,12 @@
---- Makefile.in.orig	Tue Mar 30 12:22:50 2004
-+++ Makefile.in	Tue Mar 30 12:24:16 2004
-@@ -230,11 +230,10 @@
+--- Makefile.in.orig	2012-10-22 16:13:46.000000000 +0000
++++ Makefile.in	2012-10-22 16:14:29.000000000 +0000
+@@ -327,8 +327,7 @@
  	libexslt \
  	xsltproc \
  	doc \
--	@PYTHON_SUBDIR@ \
+-	$(PYTHON_SUBDIR) \
 -	tests
-+	@PYTHON_SUBDIR@
++	$(PYTHON_SUBDIR)
  
--DIST_SUBDIRS = libxslt libexslt xsltproc python doc tests
--confexecdir = $(libdir)
-+DIST_SUBDIRS = libxslt libexslt xsltproc python doc
-+confexecdir = $(sysconfdir)
- confexec_DATA = xsltConf.sh
- bin_SCRIPTS = xslt-config
- EXTRA_DIST = xsltConf.sh.in xslt-config.in libxslt.spec libxslt.spec.in \
+ DIST_SUBDIRS = libxslt libexslt xsltproc python doc tests
+ confexecdir = $(libdir)

Modified: head/textproc/libxslt/files/patch-python::Makefile.in
==============================================================================
--- head/textproc/libxslt/files/patch-python::Makefile.in	Fri Dec 28 20:21:38 2012	(r309585)
+++ head/textproc/libxslt/files/patch-python::Makefile.in	Fri Dec 28 21:10:04 2012	(r309586)
@@ -1,17 +1,17 @@
---- python/Makefile.in.orig	2008-05-23 23:03:51.000000000 -0500
-+++ python/Makefile.in	2008-05-23 23:09:55.000000000 -0500
-@@ -258,7 +258,7 @@
- 	-I$(top_srcdir) \
+--- python/Makefile.in.orig	2012-10-22 16:16:50.000000000 +0000
++++ python/Makefile.in	2012-10-22 16:17:40.000000000 +0000
+@@ -344,7 +344,7 @@
  	-I../libexslt
  
+ AM_CFLAGS = $(LIBXML_CFLAGS)
 -DOCS_DIR = $(datadir)/doc/libxslt-python-$(LIBXSLT_VERSION)
 +DOCS_DIR = $(datadir)/doc/py-libxslt
  # libxsltclass.txt is generated
  DOCS = TODO
  EXTRA_DIST = \
-@@ -273,8 +273,8 @@
+@@ -359,8 +359,8 @@
  
- libxsltmod_la_LDFLAGS = -module -avoid-version
+ libxsltmod_la_LDFLAGS = $(WIN32_EXTRA_LDFLAGS) -module -avoid-version
  @WITH_PYTHON_TRUE@mylibs = \
 -@WITH_PYTHON_TRUE@	$(top_builddir)/libxslt/libxslt.la \
 -@WITH_PYTHON_TRUE@	$(top_builddir)/libexslt/libexslt.la
@@ -19,4 +19,4 @@
 +@WITH_PYTHON_TRUE@	-lexslt
  
  @WITH_PYTHON_TRUE@python_LTLIBRARIES = libxsltmod.la
- @WITH_PYTHON_TRUE@libxsltmod_la_SOURCES = libxslt.c types.c libxslt-py.c
+ @WITH_PYTHON_TRUE@libxsltmod_la_SOURCES = libxslt.c types.c

Modified: head/textproc/libxslt/pkg-plist
==============================================================================
--- head/textproc/libxslt/pkg-plist	Fri Dec 28 20:21:38 2012	(r309585)
+++ head/textproc/libxslt/pkg-plist	Fri Dec 28 21:10:04 2012	(r309586)
@@ -1,6 +1,5 @@
 bin/xslt-config
 bin/xsltproc
-etc/xsltConf.sh
 include/libexslt/exslt.h
 include/libexslt/exsltconfig.h
 include/libexslt/exsltexports.h
@@ -33,6 +32,7 @@ lib/libxslt.a
 lib/libxslt.la
 lib/libxslt.so
 lib/libxslt.so.2
+lib/xsltConf.sh
 @exec mkdir -p %D/lib/libxslt-plugins
 libdata/pkgconfig/libexslt.pc
 libdata/pkgconfig/libxslt.pc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 mezz freebsd_committer 2012-12-28 21:14:10 UTC
State Changed
From-To: open->closed

Committed, thanks!